Subject: Re: linux-next: build failure after merge of the final tree

From: Greg KH <[email-masked]>
Date: Tue, 2 Mar 2010 12:47:30 -0800

On Mon, Mar 01, 2010 at 08:38:36PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> After merging the final tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> drivers/pci/pci-sysfs.c: In function 'pci_create_legacy_files':
> drivers/pci/pci-sysfs.c:645: error: lvalue required as unary '&' operand
> drivers/pci/pci-sysfs.c:658: error: lvalue required as unary '&' operand
> 
> Caused by commit 8e36e9ee3c5a9228b68717b35101c58fe9a001c5 ("sysfs: Use
> sysfs_attr_init and sysfs_bin_attr_init on dynamic attributes")
> interacting with commit 71f496c9ec9821d2e09b00298915b99b6cbc9d92 ("sysfs:
> Use one lockdep class per sysfs attribute") both from the driver-core
> tree.
> 
> I applied the following patch for today.

Thanks, I've added this to the tree to send to Linus.

greg k-h